Skip to main content
GET
/
v2
/
fungible
/
assets
cURL
curl --request GET \
  --url https://api.skip.build/v2/fungible/assets
{
  "chain_to_assets_map": {}
}

Query Parameters

chain_ids
string[]

Chain IDs to limit the response to, defaults to all chains if not provided

native_only
boolean

Whether to restrict assets to those native to their chain

include_no_metadata_assets
boolean

Whether to include assets without metadata (symbol, name, logo_uri, etc.)

include_cw20_assets
boolean

Whether to include CW20 tokens

include_evm_assets
boolean

Whether to include EVM tokens

include_svm_assets
boolean

Whether to include SVM tokens

only_testnets
boolean

Whether to display only assets from testnets in the response

Response

A map of chain_id to assets

chain_to_assets_map
object

Map of chain-ids to array of assets supported on the chain